Bug 740007 - Dates & time across katello aren't internationalized
Summary: Dates & time across katello aren't internationalized
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Partha Aji
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-20 16:46 UTC by Justin Sherrill
Modified: 2018-08-30 21:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-22 17:57:30 UTC


Attachments (Terms of Use)

Description Justin Sherrill 2011-09-20 16:46:53 UTC
In several places are using strftime() to format dates without respect to other locales: 

[~/katello/src  (dashboard)]$ grep strf app/ -R
app/helpers/systems_helper.rb:    Time.parse(item).localtime.strftime('%m/%d/%y %I:%M %p %Z')
app/controllers/systems_controller.rb:                            :expires => Date.parse(pool["endDate"]).strftime("%m/%d/%Y"),
app/controllers/systems_controller.rb:                            :expires => Date.parse(pool["endDate"]).strftime("%m/%d/%Y"),
app/models/sync_plan.rb:    WEEK_DAYS[self.sync_date.strftime('%e').to_i]
app/models/sync_plan.rb:    self.sync_date.nil? ? '' : self.sync_date.strftime('%m/%d/%Y');
app/models/sync_plan.rb:    self.sync_date.nil? ? '' : self.sync_date.strftime('%I:%M %p');
app/models/sync_plan.rb:    self.sync_date.strftime('%Z')
app/models/glue/pulp/repo.rb:      # retval = date.strftime("%H:%M:%S %Y-%m-%d")
app/models/glue/pulp/repo.rb:      # retval = date.strftime("%H:%M:%S %Y-%m-%d")

Comment 1 Mike McCune 2012-01-26 19:39:00 UTC
mass move to CFSE product.

Comment 2 Partha Aji 2012-02-02 21:10:01 UTC
http://git.fedorahosted.org/git/?p=katello.git;a=commit;h=2151b76037798103e645c9cfa5b51627837a6338 

Pages that were updated for this
1) Activation Keys list/edit
2) Systems list/details 
3) Notices
4) Systems/Orgs Subscriptions
5) Sync Mgmt


One page which was not i18nized and will be addressed in the future is the sync plans page. There is a separate bz 787001 for that.

Please fail this bug if you notice any other instance of dates not getting i18nized.

Comment 3 Corey Welton 2012-02-21 18:37:06 UTC
Also seems to be ok in Dashboard.

QA Verified.


Note You need to log in before you can comment on or make changes to this bug.